%define upstream_name    Crypt-RC5
%define upstream_version 2.00

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:	Crypt-RC5 module for perl 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch:	noarch


%description
This module is a perl implementation of the RC5 encryption algorithm.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes README
%{perl_vendorlib}/Crypt/RC5.pm
%{_mandir}/*/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 2.0.0-11.mga6
+ Revision: 1024616
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 2.0.0-10.mga6
+ Revision: 946832
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.0-9.mga5
+ Revision: 738954
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.0-8.mga5
+ Revision: 684055
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.0.0-7.mga4
+ Revision: 510365
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.0.0-6.mga3
+ Revision: 364937
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 2.0.0-5.mga1
+ Revision: 26249
- no meta.yml
- mageia rebuild
- imported package perl-Crypt-RC5


* Sun Feb 14 2010 Jérôme Quelin <jquelin@mandriva.org> 2.0.0-5mdv2010.1
+ Revision: 505682
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 2.00-4mdv2010.0
+ Revision: 430377
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 2.00-3mdv2009.0
+ Revision: 256338
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2.00-1mdv2008.1
+ Revision: 136699
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Sep 13 2006 Oden Eriksson <oeriksson@mandriva.com> 2.00-1mdv2007.0
- rebuild

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 2.00-1mdk
- initial Mandriva package

